Bug 509662 - Doesn`t work one or double click by touchpad on laptop HP 6720s
Doesn`t work one or double click by touchpad on laptop HP 6720s
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-synaptics (Show other bugs)
11
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Peter Hutterer
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-04 15:13 EDT by Michael
Modified: 2010-06-28 09:29 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 09:29:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log (50.43 KB, text/plain)
2009-07-04 15:13 EDT, Michael
no flags Details
dmesg (33.53 KB, text/plain)
2009-07-04 15:15 EDT, Michael
no flags Details

  None (edit)
Description Michael 2009-07-04 15:13:25 EDT
Created attachment 350510 [details]
Xorg.0.log

Description of problem:
When I login as user in system I try start any programm by double click on touchpad. But nothing happening at all. And no any result by one click on touchpad.

Version-Release number of selected component (if applicable):

Fedora 11, last update.

How reproducible:

always

Steps to Reproduce:
1. login in system as user
2. try one or double click on touchpad
3. 
  
Actual results:

no result clicking by touchpad

Expected results:

run programm, menu, etc. click by touchpad

Additional info:
Comment 1 Michael 2009-07-04 15:15:05 EDT
Created attachment 350511 [details]
dmesg
Comment 2 Michael 2009-07-22 17:42:05 EDT
I think it`s trouble KDE.
I run GNOME, go to "System" -> "Preferences" -> "mouse" application. Then in "mouse" application I select menu "Touchpad". And when I check "enable mouse clicks with touchpad" I get working one or double clicks on touchpad
Comment 3 Michael 2009-07-24 11:19:37 EDT
I resolved this bug myself.

cp /usr/share/hal/fdi/policy/20thirdparty/10-synaptics.fdi /etc/hal/fdi/policy/

Then in file "10-synaptics.fdi" I uncommented three line

<merge key="input.x11_options.TapButton1" type="string">1</merge>
<merge key="input.x11_options.TapButton2" type="string">3</merge>
<merge key="input.x11_options.TapButton3" type="string">2</merge>

And get right work touchpad under KDE

You can close this bug
Comment 4 Matěj Cepl 2009-11-05 13:34:13 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 5 Michael 2009-11-05 13:48:55 EST
(In reply to comment #3)
> I resolved this bug myself.
> 
> cp /usr/share/hal/fdi/policy/20thirdparty/10-synaptics.fdi /etc/hal/fdi/policy/
> 
> Then in file "10-synaptics.fdi" I uncommented three line
> 
> <merge key="input.x11_options.TapButton1" type="string">1</merge>
> <merge key="input.x11_options.TapButton2" type="string">3</merge>
> <merge key="input.x11_options.TapButton3" type="string">2</merge>
> 
> And get right work touchpad under KDE
> 
> You can close this bug
Comment 6 Peter Hutterer 2009-11-05 17:14:17 EST
closing per request.
Comment 7 Matěj Cepl 2009-11-08 07:06:50 EST
Peter, isn't this something we should have in our .fdi files?
Comment 8 Peter Hutterer 2009-11-08 17:28:34 EST
No, tapping is disabled by default (unless the device doesn't have physical buttons) and if it needs to be enabled on a per-user basis, this should be done in the session. gnome supports this already in the mouse preferences, KDE just needs a similar tool.
Comment 9 Bug Zapper 2010-04-27 11:29:39 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2010-06-28 09:29:12 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.